//[core](../../../index.md)/[com.yandex.payment.sdk.core.data](../index.md)/[CardValidationConfig](index.md)

# CardValidationConfig

[core]\
class [CardValidationConfig](index.md)(**binConfig**: [CardBinValidationConfig](../-card-bin-validation-config/index.md), **expirationDateConfig**: [CardExpirationDateValidationConfig](../-card-expiration-date-validation-config/index.md)) : Parcelable

Общий конфиг валидации карт.

## Constructors

| | |
|---|---|
| [CardValidationConfig](-card-validation-config.md) | [core]<br>fun [CardValidationConfig](-card-validation-config.md)(binConfig: [CardBinValidationConfig](../-card-bin-validation-config/index.md), expirationDateConfig: [CardExpirationDateValidationConfig](../-card-expiration-date-validation-config/index.md)) |

## Properties

| Name | Summary |
|---|---|
| [binConfig](bin-config.md) | [core]<br>val [binConfig](bin-config.md): [CardBinValidationConfig](../-card-bin-validation-config/index.md) |
| [expirationDateConfig](expiration-date-config.md) | [core]<br>val [expirationDateConfig](expiration-date-config.md): [CardExpirationDateValidationConfig](../-card-expiration-date-validation-config/index.md) |
